| Home | Libraries | People | FAQ | More

## Struct template fixed_sized

boost::lockfree::fixed_sized

## Synopsis

    // In header: <boost/lockfree/policies.hpp>

    template<bool IsFixedSized>
    struct fixed_sized {
    };

## Description

Configures a data structure as fixed-sized.

The internal nodes are stored inside an array and they are addressed by array indexing. This limits the possible size of the queue to the number of elements that can be addressed by the index type (usually 2**16-2), but on platforms that lack double-width compare-and-exchange instructions, this is the best way to achieve lock-freedom. This implies that a data structure is bounded.